// This is the source for krad(1) 

#include <stdio.h>
#include <stdlib.h>
#include "krad1.h"
#include "krad2.h"

int main(int argc, char *argv[]) {
  FILE *inptr, *outptr;

  if (argc==1) {
    fprintf(stderr,"Usage: krad [level] (uses stdin for input stdout for output).\n");
    fprintf(stderr,"       krad [level] [filein] (uses stdout for output)\n");
    fprintf(stderr,"       krad [level] [filein] [fileout]\n");
    return 1;
  }

  if (argc==2) {
    if ((atoi(argv[1])!=1)&&(atoi(argv[1])!=2)) {
      fprintf(stderr,"krad: error(002): you must specify a valid level\n");
      return 2;
    }
  }

  if (argc==2) {
    if (atoi(argv[1])==1) 
      level1(stdin,stdout);
    if (atoi(argv[1])==2)
      level2(stdin,stdout);
    return 0;
  }

  if (argc==3) {
    if ((inptr=fopen(argv[2],"r"))==NULL) {
      fprintf(stderr,"krad: Error(003): could not open input file.\n");
      return 3;
    }

    if (atoi(argv[1])==1) 
      level1(inptr,stdout);
    if (atoi(argv[1])==2)
      level2(inptr,stdout);

    fclose(inptr);
    return 0;
  }

  if (argc==4) {
    if ((inptr=fopen(argv[2],"r"))==NULL) {
      fprintf(stderr,"krad: Error(003): could not open input file.\n");
      return 3;
    }
    
    if ((outptr=fopen(argv[3],"w"))==NULL) {
      fprintf(stderr,"krad: Error(004): could not open output file.\n");
      return 4;
    }


    if (atoi(argv[1])==1) 
      level1(inptr,outptr);
    if (atoi(argv[1])==2)
      level2(inptr,outptr);

    fclose(inptr);
    fclose(outptr);

    return 0;
  }
}

